/**
Theme Name: HM Pro
Author: Hyperlinks Media LLC
Author URI: https://hyperlinksmedia.com/
Description: A custom child theme developed by Hyperlinks Media LLC, designed to extend and personalize the functionality, design, and performance of the parent theme. This child theme serves as a flexible and scalable foundation for client projects, incorporating best practices in WordPress development, SEO, and responsive design.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: hm-pro
Template: astra
*/



/* slick */

.slick-bg-section {
    position: relative;
    overflow: hidden;
}

.slick-bg-slider {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.slick-bg-slider .slick-list,
.slick-bg-slider .slick-track {
    height: 100%;
}

.slick-bg-slider .slick-slide > div {
    height: 100%;
}

.slick-bg-slider .slick-slide {
    height: 100%;
}

.slick-bg-slider .slick-slide div[style] {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* Elementor content above slider */
.slick-bg-section > .elementor-container,
.slick-bg-section > .e-con {
    position: relative;
    z-index: 2;
}



/* new style  */

/* .custom-bg-slider {
    position: relative;
    overflow: hidden;
}

.slick-background {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.slick-background .slick-list,
.slick-background .slick-track {
    width: 100%;
    height: 100%;
}

.bg-slide {
    width: 100%;
    height: 100%;
    min-height: 500px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.custom-bg-slider > .elementor-container,
.custom-bg-slider > .e-con-inner {
    position: relative;
    z-index: 2;
}

 */

/* ==============================================================================================================
 */





.banner-section {
    background-image: url("");
    background-size: cover;
    background-position: center;
    animation: bgSlider 12s infinite;
}

@keyframes bgSlider {
    0%, 30% {
        background-image: url("https://houstonebonymusic.org/wp-content/uploads/2026/01/hero-bg.jpg");
    }

    33%, 63% {
        background-image: url("https://houstonebonymusic.org/wp-content/uploads/2026/02/hero-bg-4.jpg");
    }

    66%, 100% {
        background-image: url("https://houstonebonymusic.org/wp-content/uploads/2026/08/hero-bg-5.jpg");
    }
}

